ADC_REFCTRL_Type Union Reference

## Data Fields

struct {
uint8_t REFSEL:4
uint8_t __pad0__:3
uint8_t REFCOMP:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 323 of file adc.h.

## Field Documentation

## __pad0__

uint8_t ADC_REFCTRL_Type::__pad0__

bit: 4.. 6 Reserved

Definition at line 326 of file adc.h.

## bit

struct { ... } ADC_REFCTRL_Type::bit

Structure used for bit access

## REFCOMP

uint8_t ADC_REFCTRL_Type::REFCOMP

bit: 7 Reference Buffer Offset Compensation Enable

Definition at line 327 of file adc.h.

## REFSEL

uint8_t ADC_REFCTRL_Type::REFSEL

bit: 0.. 3 Reference Selection

Definition at line 325 of file adc.h.

## reg

uint8_t ADC_REFCTRL_Type::reg

Type used for register access

Definition at line 329 of file adc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/adc.h